Skip to content
GAMPEONCreate
New project

Grant a team achievement

POST
/v1/admin/achievements
curl --request POST \
--url https://api.gampeon.com/v1/admin/achievements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "handle": "example", "achievement": "example" }'

Admins grant achievements with source: staff, for example for a game jam or a confirmed bug report.

Requires the role admin.

Not available with access tokens.

Media typeapplication/json
object
handle
required
string
achievement
required

Achievement ID

string

Example generated

{
"handle": "example",
"achievement": "example"
}

Granted

Media typeapplication/json
object
handle
required
string
achievement
required
string

Example generated

{
"handle": "example",
"achievement": "example"
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: forbidden, token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: already_unlocked

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback